//
// Module: ArfMaker
// Author: Richard Saxton 
//
// Description: Creates an ARF using arfgen
//
// Modifications: See ChangeLog
//
#ifndef ArfMaker_H
#define ArfMaker_H

/* General classes */
#include <iostream>

/* SAS-specific classes */
#include <Tracer.h>
#include <metatask.h>
#include <errstr.h>
#include <param.h>

/* Local Classes */

/****************************************************
 *
 * class ArfMaker
 *
 ***************************************************/

class ArfMaker
{
public:

  /* Constructor */
  ArfMaker(string spectrumfile, string arfset,
              bool withbadpixcorr, bool useodfatt,
              string badpixlocation, bool withrmfset,
              string rmfset, bool extendedsource, 
              unsigned xbins, unsigned ybins, bool keeparf);

  /* Destructor */
  ~ArfMaker();

};

#endif

