// 
// Module: FindBestRmfName
// Author: Richard Saxton
//
// Description: 
//
// Given an input image, this class generates 
// a new PixelIterator for those pixels
// that are bounded by the specified region expression.
//
// Modifications: See ChangeLog
// 
// $Id: FindBestRmfName.h,v 1.2 2000/11/10 12:52:18 hsiddiqu Exp $

#ifndef FindBestRmfName_H
#define FindBestRmfName_H

// General classes
#include <iostream>

// SAS-specific classes
#include "PixelIterator.h"
#include "ImagePixelIterator.h"
#include "TablePixelIterator.h"
#include "PositionUtils.h"
#include "SourcePosition.h"
#include "DatafileAttributes.h"
#include "Xmm.h"

// General utility functions

// Local classes

class FindBestRmfName
{                                        
public:

  /* Methods */
  static string FindBestRmfName::getName(const string & sourceset);

private:

  /* Constructor */
  FindBestRmfName();
  
};

#endif
